Page MenuHomePhabricator

User group rights changes on tr.wikiquote.org
Closed, ResolvedPublic

Description

Happy new year!

Here we have consensus on changes. It will be same with tr.wikipedia.org except no unblockself right for sysops. I wrote changes both English and Turkish. I assume it is clear.

Event Timeline

Mavrikant raised the priority of this task from to Needs Triage.
Mavrikant updated the task description. (Show Details)
Mavrikant added a subscriber: Mavrikant.
Restricted Application added subscribers: JEumerus, StudiesWorld, Matanya, Aklapper. · View Herald TranscriptDec 31 2015, 9:15 PM
Luke081515 added a subscriber: Luke081515.

@Mavrikant: Happy new year, too! I will set up a patch in the next 24 hours.

Luke081515 triaged this task as Medium priority.Jan 1 2016, 12:26 AM
Luke081515 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 261869 had a related patch set uploaded (by Luke081515):
Remove the unblockself right from sysops at trwikiquote

https://gerrit.wikimedia.org/r/261869

@Luke081515 What about other changes? There is many diffrences between tr.wikikipedia and tr.wikiquote

  • Rename Editör to Devriye
    • add right: patrol
    • add right:autopatrol
    • add right: rollback
    • add right: movefil)
  • Rename Otomatik kontrol edilmiş kullanıcılar to Beyaz liste
    • add right: autopatrol
  • changes on Checkuser right
    • add right: deletedhistory
    • add right: deletedtext
  • changes on Sysops right
    • remove right: unblockself
    • remove right: reupload-own
    • add right: can add a user to technician group
  • changes on user right
    • add right: reupload-own
  • Create technician group(tr:Teknisyenler)
    • add right: apihighlimits
    • add right: abusefilter-log-detail
    • add right: noratelimit
    • add right: editusercss
    • add right: edituserjs
    • add right: editinterface
    • add right: Sabusefilter-modify

ok, I can add them, but I can't so all.

You need to do something at your own: Ask a local sysop to rename groups:
Look at this site, here you can see the sysmessages for the groups. I can give you one example, so you can do the rest on your own, it is easy: Example: Rename Editör to Devriye => Editor is the english name for your local Editör group. At the link you can see the description (group-editor), this means, that the local name of the group is defined at "MediaWiki:group-editor" => https://tr.wikiquote.org/wiki/MediaWiki:Group-editor.
If you change the content here, replace it through Devriye, your group is named Devriye at the future. You have to do this for technican too, because there is no localisation for this custom group, (and at Otomatik kontrol edilmiş kullanıcılar too). If you got question, ask, no problem.

Luke081515 added a comment.EditedJan 1 2016, 11:30 PM

One question left: No one, who can remove the technican group? Should this really one be done by stewards, or did you forget something?

(Patch is ready, local at my computer, I will upload this second patch set after you answered this question)

Mavrikant added a comment.EditedJan 2 2016, 2:21 AM

I didnt know that we can rename groups on our wiki. Ok we will change that pages.

Ops. I forget to write that change to local community but it should be done by
bureaucrats like on tr.wikipedia. Main goal of this changes is synchronization both wikis except unblockself

Not: Actually this wont make a difference. We dont have a bureaucrat yet. :)

Change 261869 merged by jenkins-bot:
Changed user group rights at trwikiquote

https://gerrit.wikimedia.org/r/261869

Luke081515 closed this task as Resolved.Jan 11 2016, 4:37 PM

This change has just been deployed.

Restricted Application added a project: User-Luke081515. · View Herald TranscriptSep 3 2016, 12:30 PM